# Uses of Interface
org.eclipse.mat.ui.util.IPolicy

Packages that use IPolicy
Package
Description
org.eclipse.mat.ui.actions
Actions from the editor tools bar (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of IPolicy in org.eclipse.mat.ui.actions

Constructors in org.eclipse.mat.ui.actions with parameters of type IPolicy
Modifier
Constructor
Description
``
`QueryDropDownMenuAction(MultiPaneEditor editor, IPolicy policy, boolean showHistory)`

## Uses of IPolicy in org.eclipse.mat.ui.internal.browser

Classes in org.eclipse.mat.ui.internal.browser that implement IPolicy
Modifier and Type
Class
Description
`class`
`Policy`
Constructors in org.eclipse.mat.ui.internal.browser with parameters of type IPolicy
Modifier
Constructor
Description
``
`QueryBrowserPopup(MultiPaneEditor editor, boolean onlyHistory, IPolicy policy)`
``
`QueryHistoryProvider(IQueryContext context, IPolicy policy)`
``
`QueryRegistryProvider(IQueryContext context, CategoryDescriptor c, IPolicy policy)`

## Uses of IPolicy in org.eclipse.mat.ui.util

Constructors in org.eclipse.mat.ui.util with parameters of type IPolicy
Modifier
Constructor
Description
``
`QueryAction(MultiPaneEditor editor, QueryDescriptor query, IPolicy policy)`